API V3
cURL
curl --request GET \ --url https://paradigm.lighton.ai/api/v3/agents/{id}/tools \ --header 'Authorization: Bearer <token>'
{ "native": [ { "id": "<string>", "name": "<string>", "type": "native", "object": "tool", "mcp_server_name": "<string>", "require_document": true, "accepted_file_types": [ "<string>" ] } ], "mcp_servers": [ { "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "name": "<string>", "authentication_method": "<string>", "has_credentials": true, "enabled": true, "availability_scope": "<string>", "is_global": true, "object": "mcp_server", "url": "<string>", "company_id": 123, "group_id": 123 } ] }
Get available native tools and MCP servers with their tools for a given agent ID.
Documentation IndexFetch the complete documentation index at: https://docs.lighton.ai/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.lighton.ai/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
ID of the agent to fetch tools for
Show child attributes